summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-06-25 20:47:03 +0200
committerMichał Górny <mgorny@gentoo.org>2020-06-25 20:51:56 +0200
commita9d6ee0f93c5072fd0cde11732e1e1e76b1a081c (patch)
treee75a57197536163fdd6e2ddaeff7ca2f1bf5c68e /dev-python/twine
parentdev-python/rfc3986: Bump to 1.4.0 (diff)
downloadgentoo-a9d6ee0f93c5072fd0cde11732e1e1e76b1a081c.tar.gz
gentoo-a9d6ee0f93c5072fd0cde11732e1e1e76b1a081c.tar.bz2
gentoo-a9d6ee0f93c5072fd0cde11732e1e1e76b1a081c.zip
dev-python/twine: Bump to 3.2.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/twine')
-rw-r--r--dev-python/twine/Manifest1
-rw-r--r--dev-python/twine/twine-3.2.0.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/dev-python/twine/Manifest b/dev-python/twine/Manifest
index 0be7f610e9e..fa0e211d1af 100644
--- a/dev-python/twine/Manifest
+++ b/dev-python/twine/Manifest
@@ -1,2 +1,3 @@
DIST twine-1.15.0.tar.gz 135851 BLAKE2B 5e85c30e23615e9fa7e40ed767412560b29c42ec777afbb17850781a384bc2d3787534a8114a65ac2374ab80441eb2d3b6d75dcff400e7b47a42453a9210130d SHA512 e0eae05c108e1e766a0a8ec684e3423b0537c8aa671675f30403171fd4f48ec65666d407df53f6dd9eefa0b98e5fd2fdf7dbf1f0f9150686c499de131f6f2435
DIST twine-3.1.1.tar.gz 138692 BLAKE2B d96e207b5ef1314f547f5e8fbf36565d5cf29f0dd19438d41fcbb154a98b854c669740b533a28cd79501933f0cef57767e63a83f135fcdbc196df8865cfc4d8a SHA512 446b36a1816db6131e279bda26e62c58f9659d86178d498ebb9f7c5287b61cf969e625debe4b4cb1e32832e0eecbcedcf4913319ae0bf7eb287f56e550d33ed9
+DIST twine-3.2.0.tar.gz 145280 BLAKE2B b25fa984486a375e09705703a47994b529f6e5b48c6733c0a07b57bec6c0dfcdf4096d6ac6b0f9b7a7bfebfb32ea1cfb49c5de79f29495eb2a8fc59a5f8de4e5 SHA512 9959430913ea570d22f2d8b94e929af36b409b71691b3f66de8ddb77cfbfbe36590e21a6062db2a4a4f56ce2eb96984b0a474a93ea96b7734f53ada7a6411c28
diff --git a/dev-python/twine/twine-3.2.0.ebuild b/dev-python/twine/twine-3.2.0.ebuild
new file mode 100644
index 00000000000..c41930434c2
--- /dev/null
+++ b/dev-python/twine/twine-3.2.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="https://twine.readthedocs.io/ https://github.com/pypa/twine https://pypi.org/project/twine/"
+SRC_URI="https://github.com/pypa/twine/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/munch[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pypiserver[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ >=dev-python/tqdm-4.14[${PYTHON_USEDEP}]
+ >=dev-python/pkginfo-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/readme_renderer-21.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' python3_{6,7} pypy{,3})
+ >=dev-python/keyring-15.1[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ # avoid a setuptools_scm dependency
+ sed -i "s:use_scm_version=True:version='${PV}',name='${PN//-/.}':" setup.py || die
+ sed -r -i "s:setuptools(_|-)scm[[:space:]]*([><=]{1,2}[[:space:]]*[0-9.a-zA-Z]+|)[[:space:]]*::" \
+ setup.cfg || die
+
+ # requires internet
+ sed -e 's:test_check_status_code_for_wrong_repo_url:_&:' \
+ -i tests/test_upload.py || die
+ rm -f tests/test_integration.py || die
+
+ sed -i -e '/--cov/d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}